Name:		canl-c++
Version:	1.0.0
Release:	3%{?dist}
Summary:	EMI Common Authentication library - bindings for C++

Group:		System Environment/Libraries
License:	ASL 2.0
URL:		http://www.nordugrid.org/
Source0:	http://download.nordugrid.org/packages/%{name}/releases/%{version}/src/%{name}-%{version}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	nss-devel >= 3.10
BuildRequires:	openssl-devel
BuildRequires:	cppunit-devel
BuildRequires:	glibmm24-devel
%if %{?fedora}%{!?fedora:0} >= 15 || %{?rhel}%{!?rhel:0} >= 7
BuildRequires:	libdb-cxx-devel
%else
BuildRequires:	db4-devel
%endif

%description
This is the C++ part of the EMI caNl -- the Common Authentication
Library.

%package devel
Group:		Development/Libraries
Summary:	EMI Common Authentication library - development files for C++
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description devel
This package contains development libraries and header files for EMI caNl
C++ bindings.

%prep
%setup -q

%build
%configure

# Reduce overlinking
sed 's!CC -shared !CC \${wl}--as-needed -shared !g' -i libtool

make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

find %{buildroot} -type f -name \*.la -exec rm -fv '{}' ';'

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc README debian/copyright
%{_libdir}/libcanl_c++.so.*

%files devel
%{_libdir}/libcanl_c++.so
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/canlxx.h
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Sat Jul 27 2013 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.0.0-3
- Fix Group tag
- Remove defattr
- Fix include directory ownership

* Thu Jun 13 2013 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.0.0-2
- Add copyright file
- Reduce libtool overlinking

* Mon Apr 15 2013 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.0.0-1
- Initial packaging for Fedora
